Bug 618505 - [RHEL6-Beta1 – MPI-SELECTOR]There is no way to register and select the installed MPIs as the mpi-selector rpm is not available with RHEL6 Beta1.
[RHEL6-Beta1 – MPI-SELECTOR]There is no way to register and select the instal...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rdma (Show other bugs)
6.0
All Linux
low Severity urgent
: rc
: ---
Assigned To: Doug Ledford
Red Hat Kernel QE team
: RHELNAK
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-27 01:42 EDT by Abdul Ahad Amir
Modified: 2010-09-28 22:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
mpi-selector The mpi-selector package has been deprecated in Red Hat Enterprise Linux 6. environment-modules is now used to select which Message Passing Interface (MPI) implementation is to be used. The man page for the module command contains detailed documentation for the environment-modules package. To return a list of what modules are available, use: module avail To load or unload a module use the following commands: module load <module-name> module unload <module-name> To emulate the behaviour of mpi-selector, the module load commands must be place in the shell init script (e.g. /.bashrc) to load the modules every login
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-29 15:15:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Abdul Ahad Amir 2010-07-27 01:42:52 EDT
Description of problem:
There is no way we can register and select the MPIs installed as there is no
mpi-selector rpms available with the  RHEL6 Beta1 distro.
Also , I was unable to get any document which gives us the procedure to carry
out registration and selection of installed MPIs without mpi-selector.
The mpi-selector rpm is available with RHEL5 update 5 distribution,so I feel
that this should also be available with RHEL6 distro.

The following grep reveals there is no mpi-selector rpms available with RHEL6
Beta1:

[root@magdha Packages]# pwd
/mnt/Packages

[root@magdha Packages]# ls | grep mpi
compiz-0.8.2-22.el6.i686.rpm
compiz-0.8.2-22.el6.x86_64.rpm
compiz-gnome-0.8.2-22.el6.x86_64.rpm
exempi-2.1.0-4.1.el6.i686.rpm
exempi-2.1.0-4.1.el6.x86_64.rpm
libcmpiutil-0.5.1-1.el6.1.i686.rpm
libcmpiutil-0.5.1-1.el6.1.x86_64.rpm
mpich2-1.2.1-2.el6.1.i686.rpm
mpich2-1.2.1-2.el6.1.x86_64.rpm
mpitests-mvapich2-3.2-2.el6.x86_64.rpm
mpitests-mvapich-3.2-2.el6.x86_64.rpm
mpitests-openmpi-3.2-2.el6.x86_64.rpm
openmpi-1.4-4.el6.i686.rpm
openmpi-1.4-4.el6.x86_64.rpm
python-tempita-0.4-2.el6.noarch.rpm
sblim-cmpi-base-1.5.9-1.el6.i686.rpm
sblim-cmpi-base-1.5.9-1.el6.x86_64.rpm
sblim-cmpi-dhcp-0.5.5-1.el6.i686.rpm
sblim-cmpi-dhcp-0.5.5-1.el6.x86_64.rpm
sblim-cmpi-dns-0.5.2-2.el6.i686.rpm
sblim-cmpi-dns-0.5.2-2.el6.x86_64.rpm
sblim-cmpi-fsvol-1.4.4-1.el6.i686.rpm
sblim-cmpi-fsvol-1.4.4-1.el6.x86_64.rpm
sblim-cmpi-network-1.3.8-2.el6.i686.rpm
sblim-cmpi-network-1.3.8-2.el6.x86_64.rpm
sblim-cmpi-nfsv3-1.0.14-1.el6.i686.rpm
sblim-cmpi-nfsv3-1.0.14-1.el6.x86_64.rpm
sblim-cmpi-nfsv4-1.0.12-1.el6.i686.rpm
sblim-cmpi-nfsv4-1.0.12-1.el6.x86_64.rpm
sblim-cmpi-params-1.2.6-1.el6.x86_64.rpm
sblim-cmpi-samba-0.5.2-2.el6.i686.rpm
sblim-cmpi-samba-0.5.2-2.el6.x86_64.rpm
sblim-cmpi-sysfs-1.1.9-1.el6.i686.rpm
sblim-cmpi-sysfs-1.1.9-1.el6.x86_64.rpm
sblim-cmpi-syslog-0.7.11-1.el6.i686.rpm
sblim-cmpi-syslog-0.7.11-1.el6.x86_64.rpm



Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.Install RHEL6 Beta1. 
2.Mount the iso image and cd into /Packages folder of the mounted image.
3.Grep for mpi-selector.
  
Actual results:
No mpi-selector rpm is available with RHEL6 Beta1.


Expected results:
mpi-selector rpm should be available with it.


Additional info:

===========
ENVIRONMENT
===========

[root@magdha ~]# uname -a
Linux magdha 2.6.32-19.el6.x86_64 #1 SMP Tue Mar 9 17:48:46 EST 2010 x86_64
x86_64 x86_64 GNU/Linux

[root@magdha ~]# cat /etc/issue
Red Hat Enterprise Linux release 6.0 Beta (Santiago)
Kernel \r on an \m

============
Observations
============
1.No mpi-selector rpm is available with RHEL6 Beta1.
2.The mpi-selector rpm is available with RHEL5u5.
Comment 2 RHEL Product and Program Management 2010-07-27 02:17:54 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 Abdul Ahad Amir 2010-07-27 02:44:37 EDT
This issue is a Blocker for us.It will be of great advantage and help , if  issue is considered for the current release.(In reply to comment #2)
> This issue has been proposed when we are only considering blocker
> issues in the current Red Hat Enterprise Linux release.
> 
> ** If you would still like this issue considered for the current
> release, ask your support representative to file as a blocker on
> your behalf. Otherwise ask that it be considered for the next
> Red Hat Enterprise Linux release. **    

This issue is a Blocker for us.It will be of great advantage and help , if  issue is considered for the current release.
Comment 4 Doug Ledford 2010-07-27 09:06:53 EDT
mpi-selector is a bad hack from the OFED project.  It has been dropped entirely in favor of environment-modules.  The environment-modules package creates a shell command used to load and unload the necessary environment variables for the mpi packages.  To see what modules are available, use this command:

module avail

Loading a module is done via 

module load <module-name>

Unload is similar

module unload <module-name>

The various mpi implementations in rhel6 all require that environment-modules be installed prior to the mpi being installed, so if you have any mpis installed then you also have environment-modules installed.  The environment modules package is far superior to mpi-selector in that it can be used any time from the command line and does not require a person to log out and back in before the changes take effect or to unload a selection.

I'm opening a documentation request on this bug however.
Comment 5 Doug Ledford 2010-07-27 09:06:53 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
The mpi-selector package is no longer used to select which mpi implementation to use under Red Hat Enterprise Linux 6.  Instead, the environment-modules package is used.  The module man page details usage of the environment modules package, but the simple directions are:

module avail (to see what modules are available)
module load <module-name> (to load a module)
module unload <module-name> (to unload a module)

In order to emulate the previous behaviour, it is sufficient for a user to place a call to module load in their personal .bashrc (or similar shell init script if they use a different command shell) to cause the proper module to be loaded at login each time.
Comment 6 Abdul Ahad Amir 2010-07-27 09:21:45 EDT
(In reply to comment #4)
> mpi-selector is a bad hack from the OFED project.  It has been dropped entirely
> in favor of environment-modules.  The environment-modules package creates a
> shell command used to load and unload the necessary environment variables for
> the mpi packages.  To see what modules are available, use this command:
> 
> module avail
> 
> Loading a module is done via 
> 
> module load <module-name>
> 
> Unload is similar
> 
> module unload <module-name>
> 
> The various mpi implementations in rhel6 all require that environment-modules
> be installed prior to the mpi being installed, so if you have any mpis
> installed then you also have environment-modules installed.  The environment
> modules package is far superior to mpi-selector in that it can be used any time
> from the command line and does not require a person to log out and back in
> before the changes take effect or to unload a selection.
> 
> I'm opening a documentation request on this bug however.    

Thanks for guiding us.We will be following the steps mentioned.
Comment 9 Ryan Lerch 2010-09-28 22:20:53 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,7 +1,11 @@
-The mpi-selector package is no longer used to select which mpi implementation to use under Red Hat Enterprise Linux 6.  Instead, the environment-modules package is used.  The module man page details usage of the environment modules package, but the simple directions are:
+mpi-selector
+The mpi-selector package has been deprecated in Red Hat Enterprise Linux 6. environment-modules is now used to select which Message Passing Interface (MPI) implementation is to be used.
+The man page for the module command contains detailed documentation for the environment-modules package.
+To return a list of what modules are available, use:
 
-module avail (to see what modules are available)
-module load <module-name> (to load a module)
-module unload <module-name> (to unload a module)
+module avail
+To load or unload a module use the following commands:
 
-In order to emulate the previous behaviour, it is sufficient for a user to place a call to module load in their personal .bashrc (or similar shell init script if they use a different command shell) to cause the proper module to be loaded at login each time.+module load <module-name>
+module unload <module-name>
+To emulate the behaviour of mpi-selector, the module load commands must be place in the shell init script (e.g. /.bashrc) to load the modules every login

Note You need to log in before you can comment on or make changes to this bug.